SQLBase 11.5.4 - problem with connections to oracle or mssql

General discussion forum about all databases other than SqlBase.
prieschr

SQLBase 11.5.4 - problem with connections to oracle or mssql

Post by prieschr » 13 Jul 2011, 17:40

Hi,
we are migrating our application from TD 4.2 with sqlbase 9.0.1 to TD 4.2 with sqlbase 11.5.4. So we use the sqlbase 11.5.4 client and the router sqlodb32 and sqlora32 from TD 4.2 for connecting to several databases (sqlbase 7.x, 8.x, 9.x, 11.x, oracle 9, 10,11, mssql 2000, 2005, 2008, 2008R2). Now we have following problem: It is possible to change a password for an oracle or mssql user to a value longer than 8 characters but afterwards we cannot connect to oracle or mssql because of an error invalid password. There is no problem with a password shorter than 8 characters.
This problem occurs within the application and with sqltalk. With SQLBase 9.0.1 client everything works fine.

Is this a known problem? How can we solve this without using different sqlbase clients?

Thank your for your help.
Regards,
Reinhard

Mike Vandine

Re: SQLBase 11.5.4 - problem with connections to oracle or mssql

Post by Mike Vandine » 14 Jul 2011, 08:06

Hi Reinhard,

A clarification, please. You can change the user password using SQLTalk?

I think that the sqlora32 and sqlodb32 from TD4.2 won't know of the possibility to connect to the database with a password > 8 characters...

Have you tried using newer versions of these DLLs?

prieschr

Re: SQLBase 11.5.4 - problem with connections to oracle or mssql

Post by prieschr » 01 Aug 2011, 14:07

Hi Mike,

I have tested following situations:

1) TD 4.2 runtime + integrated sqlbase client (9.0.1): connect to oracle and mssql with pw > 8 characters possible
2) TD 5.2 runtime + integrated sqlbase client (5.2.1??, I think it's sqlbase 10): connect to oracle and mssql with pw > 8 characters possible
3) TD 4.2 runtime + sqlbase 11.5.4: connect to oracle and mssql with pw > 8 characters not possible, only with pw <= 8 characters
4) TD 5.2 runtime + sqlbase 11.5.4: connect to oracle and mssql generally not possible (sqlerror 9283 - incorrect version of library)

So I think the only possible solution is to use the sqlbase client software from the respective TD version for connecting to oracle and mssql.

There´s no way for using sqlbase 11.5.4 client with oracle and mssql router (4.2 -> 9.0.1, 5.2 -> 5.2.1 (SB 10), 6.0 -> SB 10.0.0) at the moment.

To support oracle, mssql and sqlbase 11.5.4 within a single application different sqlbase clients are necessary. That's not an elegant solution, isn't it?

Regards,
Reinhard

Return to “General Discussion”

Who is online

Users browsing this forum: [Ccbot] and 0 guests